<!--
  Generated template for the UserLocationPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header color="primary">
  <ion-navbar>
    <ion-title>User Location</ion-title>
  </ion-navbar>
</ion-header>


<ion-content>
  <div id="map_canvas">
  </div>
  <div class>
    <mat-card class="example-card" *ngFor="let dev of devices;">
      <mat-card-header>
        <div mat-card-avatar class="example-header-image" [style.backgroundImage]="'url('+ dev.image_src +')'"></div>
        <mat-card-title>{{dev.name}}</mat-card-title>
        <mat-card-subtitle>{{dev.status}}</mat-card-subtitle>
        <mat-card-subtitle>Last updated: {{dev.lastUpdate| amTimeAgo}}</mat-card-subtitle>
      </mat-card-header>
    </mat-card>
  </div>
</ion-content>
